﻿#region Header

/*
    This file is part of LanguageDemo.

    LanguageDemo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LanguageDemo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LanguageDemo.  If not, see <http://www.gnu.org/licenses/>.
*/

#endregion Header

namespace Probel.LanguageDemo
{
    using System.Windows.Input;

    using Probel.LanguageDemo.Domain;
    using Probel.LanguageDemo.Helpers;

    /// <summary>
    /// ViewModel used with the <see cref="MainView"/>
    /// </summary>
    public class MainViewModel : ObservableObject
    {
        #region Fields

        private User person;

        #endregion Fields

        #region Constructors

        public MainViewModel()
        {
            this.CreateUserCommand = new RelayCommand(() => this.User = Database.GetAPerson());
        }

        #endregion Constructors

        #region Properties

        public ICommand CreateUserCommand
        {
            get;
            private set;
        }

        public User User
        {
            get { return this.person; }
            set
            {
                this.person = value;
                this.OnPropertyChanged("User");
            }
        }

        #endregion Properties
    }
}